otpclient(1)

NAME
OTPClient - Simple GTK+ software to generate OTPs (TOTP and HOTP)

SYNOPSIS
otpclient [OPTIONS]

DESCRIPTION
OTPClient is GTK+ software for two-factor authentication that supports both Time-based One-time Passwords (TOTP) and HMAC-Based One-Time Passwords (HOTP).

OTPClient have the following features:

•   Support both TOTP and HOTP.

•   Support setting custom digits (between 4 and 10 inclusive).

•   Support setting a custom period (between 10 and 120 seconds inclusive).

•   Support SHA1, SHA256 and SHA512 algorithms.

•   Support for Steam codes.

•   Import encrypted Authenticator Plus backup.

•   Import and export encrypted and/or plain andOTP backup.

•   Import and export plain FreeOTPPlus backup (key URI format only).

•   Import and export plain Aegis backup (plain json only).

•   Local database is encrypted using AES256-GCM.

    •   Key is derived using PBKDF2 with SHA512 and 100k iterations.

    •   Decrypted file is never saved (and hopefully never swapped) to disk. While the app is running, the decrypted content resides in a "secure memory" buffer allocated by Gcrypt.

OPTIONS
Help Options:

    -h, --help
        Show help options.

    --help-all
        Show all help options.

    --help-gapplication
        Show GApplication options.

    --help-gtk
        Show GTK+ Options.

Application Options:

    --display=DISPLAY
        X display to use.

NOTES
For other information and tutorials, see:

•   https://github.com/paolostivanin/OTPClient/wiki

AUTHOR
OTPClient was written by Paolo Stivanin.

This manual page was written by Francisco Vilmar Cardoso Ruviaro for the Debian project (but may be used by others).